# Class TCEFButtonComponent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFButtonComponent

## Declaration

`type TCEFButtonComponent = class(TCEFViewComponent, ICefButtonDelegateEvents)`

## Description

This item has no description.

## Hierarchy

- TObject
- TPersistent
- TComponent
- TCEFViewComponent
- TCEFButtonComponent

## Overview

### Fields

| `FButton: ICefButton;`
| `FOnButtonPressed: TOnButtonPressedEvent;`
| `FOnButtonStateChanged: TOnButtonStateChangedEvent;`

### Methods

| `procedure DestroyView; override;`
| `procedure Initialize; override;`
| `function GetInitialized: boolean; override;`
| `function GetAsView: ICefView; override;`
| `function GetState: TCefButtonState;`
| `function GetAsButton: ICefButton; override;`
| `function GetAsLabelButton: ICefLabelButton; virtual;`
| `procedure SetState(state_: TCefButtonState);`
| `procedure doOnButtonPressed(const button: ICefButton);`
| `procedure doOnButtonStateChanged(const button: ICefButton);`
| `procedure SetInkDropEnabled(enabled_: boolean);`
| `procedure SetTooltipText(const tooltip_text: ustring);`
| `procedure SetAccessibleName(const name_: ustring);`

### Properties

| `property AsLabelButton : ICefLabelButton read GetAsLabelButton;`
| `property State : TCefButtonState read GetState write SetState;`
| `property OnButtonPressed : TOnButtonPressedEvent read FOnButtonPressed write FOnButtonPressed;`
| `property OnButtonStateChanged : TOnButtonStateChangedEvent read FOnButtonStateChanged write FOnButtonStateChanged;`

## Description

### Fields

| `FButton: ICefButton;`
This item has no description.

| `FOnButtonPressed: TOnButtonPressedEvent;`
ICefButtonDelegateEvents

| `FOnButtonStateChanged: TOnButtonStateChangedEvent;`
This item has no description.

### Methods

| `procedure DestroyView; override;`
This item has no description.

| `procedure Initialize; override;`
This item has no description.

| `function GetInitialized: boolean; override;`
This item has no description.

| `function GetAsView: ICefView; override;`
This item has no description.

| `function GetState: TCefButtonState;`
This item has no description.

| `function GetAsButton: ICefButton; override;`
This item has no description.

| `function GetAsLabelButton: ICefLabelButton; virtual;`
This item has no description.

| `procedure SetState(state_: TCefButtonState);`
This item has no description.

| `procedure doOnButtonPressed(const button: ICefButton);`
ICefButtonDelegateEvents

| `procedure doOnButtonStateChanged(const button: ICefButton);`
This item has no description.

| `procedure SetInkDropEnabled(enabled_: boolean);`
Sets the Button will use an ink drop effect for displaying state changes.

| `procedure SetTooltipText(const tooltip_text: ustring);`
Sets the tooltip text that will be displayed when the user hovers the mouse cursor over the Button.

| `procedure SetAccessibleName(const name_: ustring);`
Sets the accessible name that will be exposed to assistive technology (AT).

### Properties

| `property AsLabelButton : ICefLabelButton read GetAsLabelButton;`
Returns this Button as a LabelButton or NULL if this is not a LabelButton.

| `property State : TCefButtonState read GetState write SetState;`
Returns the current display state of the Button.

| `property OnButtonPressed : TOnButtonPressedEvent read FOnButtonPressed write FOnButtonPressed;`
Called when |button| is pressed.

| `property OnButtonStateChanged : TOnButtonStateChangedEvent read FOnButtonStateChanged write FOnButtonStateChanged;`
Called when the state of |button| changes.

Generated by PasDoc 0.16.0-snapshot.